=== debian/changelog ===
cdiff (1.0-1) unstable; urgency=medium

  * Initial upload. (Closes: #875553)

 -- Michael Banck <mbanck@debian.org>  Wed, 13 Sep 2017 09:30:41 +0200
