=== debian/control ===
Source: cdiff
Section: python
Priority: optional
Maintainer: Michael Banck <mbanck@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools
Standards-Version: 3.9.8

Package: python-cdiff
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests:
Description: Colored, incremental diff with side by side and auto pager support (Python 2)
 Cdiff is a python module to view colored, incremental diff in a Git/Mercurial/
 Svn workspace or from stdin, with side by side and auto pager support.
 .
 This is the Python 2 version of the package.

Package: python3-cdiff
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests:
Description: Colored, incremental diff with side by side and auto pager support (Python 3)
 Cdiff is a python module to view colored, incremental diff in a Git/Mercurial/
 Svn workspace or from stdin, with side by side and auto pager support.
 .
 This is the Python 3 version of the package.
