=== debian/watch ===
version=3
https://github.com/ymattw/cdiff/releases .*/archive/(.*).tar.gz
